Перейти до вмісту

HD Design Date

POST
/api/v1/hd/design-date

Find the Design date (the moment 88° of solar arc before birth) for a given birth moment — the unconscious imprinting point.

object
Example
{
"date": "1990-05-15",
"time": "14:30:00",
"timezoneOffset": 3
}

Successful calculation

object
ok
boolean
Example
true
data
object
Example
{
"ok": true,
"data": {
"birthJd": 2447996.3,
"designJd": 2447876.1,
"designDate": {
"year": 1990,
"month": 1,
"day": 15,
"hour": 8.4
}
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}